version: "3.3"
services:
  f1-web:
    image: registry.gitlab.com/f1.analytics/f1-web
    volumes:
      - $HOME/docker/configs/f1-web.json:/usr/src/f1-web/config.json
    ports:
      - "8080:80"
    networks:
      - webnet
  f1-users:
    image: registry.gitlab.com/f1.analytics/f1-users
    secrets:
      - JWT_PUBLIC_KEY
      - JWT_PRIVATE_KEY
      - STATIC_TOKENS
      - MYSQL_USER
      - MYSQL_PASSWORD
    volumes:
      - $HOME/docker/configs/f1-users.json:/usr/src/f1-users/config.json
    ports:
      - "8081:80"
    networks:
      - webnet
  f1-dashboards:
    image: registry.gitlab.com/f1.analytics/f1-dashboards
    volumes:
      - $HOME/docker/configs/f1-dashboards.json:/usr/src/f1-dashboards/config.json
    secrets:
      - JWT_PUBLIC_KEY
      - MYSQL_USER
      - MYSQL_PASSWORD
      - STATIC_TOKENS
    ports:
      - "8082:80"
    networks:
      - webnet
  f1-data:
    image: registry.gitlab.com/f1.analytics/f1-data
    volumes:
      - $HOME/docker/configs/f1-data.json:/usr/src/f1-data/config.json
    secrets:
      - JWT_PUBLIC_KEY
      - MYSQL_USER
      - MYSQL_PASSWORD
      - STATIC_TOKENS
    ports:
      - "8083:80"
    networks:
      - webnet
  f1-settings:
    image: registry.gitlab.com/f1.analytics/f1-settings
    volumes:
      - $HOME/docker/configs/f1-settings.json:/usr/src/f1-settings/config.json
    secrets:
      - JWT_PUBLIC_KEY
      - MYSQL_USER
      - MYSQL_PASSWORD
      - STATIC_TOKENS
    ports:
      - "8084:80"
    networks:
      - webnet
  mysql:
    image: mysql:5
    secrets:
      - MYSQL_PASSWORD
    environment:
      MYSQL_ROOT_PASSWORD_FILE: /run/secrets/MYSQL_PASSWORD
    volumes:
      - $HOME/docker/volumes/mysql:/var/lib/mysql
    ports:
      - "3306:3306"
    networks:
      - webnet
  mysql-test:
    image: mysql:5
    secrets:
      - MYSQL_PASSWORD
    environment:
      MYSQL_ROOT_PASSWORD_FILE: /run/secrets/MYSQL_PASSWORD
    volumes:
      - $HOME/docker/volumes/mysql-test:/var/lib/mysql
    ports:
     - "3307:3306"
    networks:
     - webnet
secrets:
  JWT_PUBLIC_KEY:
    file: $HOME/docker/secrets/jwt_public.pem
  JWT_PRIVATE_KEY:
    file: $HOME/docker/secrets/jwt_private.pem
  MYSQL_USER:
    external: true
  MYSQL_PASSWORD:
    external: true
  STATIC_TOKENS:
    external: true
networks:
  webnet:
